<?php
/**
 * The template for displaying the footer
 */

global $post;

$bonza_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );

$bonza_options_enable_prefooter = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('enable_prefooter') : 'hide';
$bonza_enable_prefooter = get_post_meta( $bonza_postId, 'bonza_enable_prefooter', true ) ? get_post_meta( $bonza_postId, 'bonza_enable_prefooter', true ) : $bonza_options_enable_prefooter;
$bonza_options_footer = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('footer') : 'show';
$bonza_enable_footer = get_post_meta( $bonza_postId, 'bonza_footer', true ) ? get_post_meta( $bonza_postId, 'bonza_footer', true ) : $bonza_options_footer;

if ( !is_404() && !is_search() ) {
	$bonza_options_footer_layout = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('footer_layout') : 'boxed';
	$bonza_footer_layout = get_post_meta( $post->ID, 'bonza_footer_layout', true ) ? get_post_meta( $post->ID, 'bonza_footer_layout', true ) : $bonza_options_footer_layout;
} else {
	$bonza_footer_layout = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('footer_layout') : 'boxed';
}

$bonza_footer_class = $bonza_footer_layout;
$bonza_footer_backtop = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('footer_backtop') : 1;
?>
		
		</div><!-- //page-content -->
		
		<footer class="<?php echo esc_attr( $bonza_footer_class ); ?>">
		
			<!-- Prefooter Area -->
			<?php if( $bonza_enable_prefooter == 'show' ) { ?>
				<div id="prefooter_area">
					<div class="container">
						<div class="row">
							<?php
								$bonza_widgets_grid = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('prefooter_col') : '4-4-4';
								$i = 1;
								foreach (explode('-', $bonza_widgets_grid) as $bonza_widgets_g) {
									echo '<div class="col-md-' . esc_attr( $bonza_widgets_g ) . ' col-' . esc_attr( $i ) . '">';
										dynamic_sidebar("footer-area-$i");
									echo '</div>';
									$i++;
								}
							?>
						</div>
					</div>
				</div>
			<?php } ?>
			
			<!-- Footer Area -->
			<?php if( $bonza_enable_footer == 'show' ) { ?>
				<div id="footer_bottom">
					<div class="container">
						<div class="row">
							<div class="col-sm-6 copyright_wrap">
								<?php $bonza_footer_copyright = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('footer_copyright') : 'Copyright © 2019 Bonza. All Rights Reserved.'; ?>
								<?php if(!empty( $bonza_footer_copyright ) ) { echo '<div class="copyright">' . $bonza_footer_copyright . '</div>'; } ?>
							</div>
							<div class="col-sm-6 social_links_wrap text-right">
								<?php echo bonza_social_links(); ?>
								<?php if( $bonza_footer_backtop != 0 ) { ?>
									<a id="footer-backtop" href="javascript:void(0);"><i></i></a>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			<?php } ?>
		</footer>
		
	</div><!-- //Page Wrap -->
	
<?php wp_footer(); ?>

</body>
</html>