<?php

/**
 * Register sidebars
 */
function bonza_widgets_init() {
	
	//	Blog Sidebar
	register_sidebar( array(
		'name'          	=> esc_html__( 'Blog Sidebar', 'bonza' ),
		'id'            	=> 'blog-sidebar',
		'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  	=> '</aside>',
		'before_title'  	=> '<h4 class="widget-title">',
		'after_title'   	=> '</h4>',
	) );
	
	//	Prefooter Area
	$bonza_widgets_grid = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('prefooter_col') : '4-4-4';
	$i = 1;
	foreach (explode('-', $bonza_widgets_grid) as $bonza_widgets_g) {
		register_sidebar(array(
			'name' 				=> esc_html__('Prefooter Area ', 'bonza') . $i,
			'id' 				=> "footer-area-$i",
			'description' 		=> esc_html__('The prefooter area widgets', 'bonza'),
			'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
			'after_widget' 		=> '</aside>',
			'before_title' 		=> '<h4 class="widget-title">',
			'after_title'   	=> '</h4>',
		));
		$i++;
	}
	
	//	Shop Sidebar
	if( bonza_woo_enabled() ) {
		register_sidebar( array(
			'name'          	=> esc_html__( 'Shop Sidebar', 'bonza' ),
			'id'            	=> 'shop-sidebar',
			'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  	=> '</aside>',
			'before_title'  	=> '<h4 class="widget-title">',
			'after_title'   	=> '</h4>',
		) );
	}
	
	$bonza_unlimited_sidebar = bonza_options('unlimited_sidebar');
	
	if ( !empty( $bonza_unlimited_sidebar ) ) {	
		if( class_exists( 'ReduxFrameworkPlugin' ) && $bonza_unlimited_sidebar != '' ) {
			foreach( $bonza_unlimited_sidebar as $bonza_sidebar ) {
				if ( isset( $bonza_sidebar ) && !empty( $bonza_sidebar ) ) {
					register_sidebar( array(
						'name' 				=> $bonza_sidebar,
						'id' 				=> bonza_generateSlug($bonza_sidebar, 45),
						'before_widget' 	=> '<aside id="%1$s" class="widget %2$s">',
						'after_widget' 		=> '</aside>',
						'before_title' 		=> '<h4 class="widget-title">',
						'after_title'   	=> '</h4>',
					));
				}
			}
		}
	}
	
}
add_action( 'widgets_init', 'bonza_widgets_init' );


/**
 * Unlimited Sidebars
 */

function bonza_generateSlug($phrase, $maxLength) {
    $result = strtolower($phrase);
    $result = preg_replace("/[^a-z0-9\s-]/", "", $result);
    $result = trim(preg_replace("/[\s-]+/", " ", $result));
    $result = trim(substr($result, 0, $maxLength));
    $result = preg_replace("/\s/", "-", $result);
    return $result;
}