<?php
/**
 * Template Name: Page - Coming Soon
 */

get_header('comingsoon');

global $post;

$bonza_coming_soon_subtitle = get_post_meta( $post->ID, 'bonza_coming_soon_subtitle', true );
$bonza_coming_soon_title 	= get_post_meta( $post->ID, 'bonza_coming_soon_title', true );
$bonza_coming_soon_descr 	= get_post_meta( $post->ID, 'bonza_coming_soon_descr', true );
$bonza_coming_soon_email 	= get_post_meta( $post->ID, 'bonza_coming_soon_email', true );

$bonza_coming_soon_bg_styles = $bonza_coming_soon_bg_image = $bonza_coming_soon_bg_image_repeat = $bonza_coming_soon_bg_color = $bonza_coming_soon_bg_attachment = $bonza_coming_soon_bg_position = $bonza_coming_soon_bg_cover = $bonza_coming_soon_text_color = '';
$bonza_coming_soon_bg_image = get_post_meta( $post->ID, 'bonza_coming_soon_bg_image', true );

if ( $bonza_coming_soon_bg_image ) {
	if ( is_numeric( $bonza_coming_soon_bg_image ) ) {
		$bonza_coming_soon_bg_image = wp_get_attachment_image_src( $bonza_coming_soon_bg_image, 'full' );
		$bonza_coming_soon_bg_image = $bonza_coming_soon_bg_image[0];
	}
}

$bonza_coming_soon_bg_image_repeat 	= get_post_meta( $post->ID, 'bonza_coming_soon_bg_repeat', true );
$bonza_coming_soon_bg_color 		= get_post_meta( $post->ID, 'bonza_coming_soon_bg_color', true );
$bonza_coming_soon_bg_attachment 	= get_post_meta( $post->ID, 'bonza_coming_soon_bg_attachment', true );
$bonza_coming_soon_bg_position 		= get_post_meta( $post->ID, 'bonza_coming_soon_bg_position', true );
$bonza_coming_soon_bg_cover 		= get_post_meta( $post->ID, 'bonza_coming_soon_bg_full', true );

if( isset( $bonza_coming_soon_bg_image ) && $bonza_coming_soon_bg_image != '' ) {
	$bonza_coming_soon_bg_styles .= 'background-image: url('. $bonza_coming_soon_bg_image .');';
	if( isset( $bonza_coming_soon_bg_image_repeat ) && $bonza_coming_soon_bg_image_repeat != '' ) {
		$bonza_coming_soon_bg_styles .= 'background-repeat: '. $bonza_coming_soon_bg_image_repeat .';';
	}
	if( isset( $bonza_coming_soon_bg_attachment ) && $bonza_coming_soon_bg_attachment != '' ) {
		$bonza_coming_soon_bg_styles .= 'background-attachment: '. $bonza_coming_soon_bg_attachment .';';
	}
	if( isset( $bonza_coming_soon_bg_position ) && $bonza_coming_soon_bg_position != '' ) {
		$bonza_coming_soon_bg_styles .= 'background-position: '. $bonza_coming_soon_bg_position .';';
	}
	if( isset( $bonza_coming_soon_bg_cover ) && $bonza_coming_soon_bg_cover != '' ) {
		$bonza_coming_soon_bg_styles .= 'background-size: '. $bonza_coming_soon_bg_cover .';';
		$bonza_coming_soon_bg_styles .= '-moz-background-size: '. $bonza_coming_soon_bg_cover .';';
		$bonza_coming_soon_bg_styles .= '-webkit-background-size: '. $bonza_coming_soon_bg_cover .';';
		$bonza_coming_soon_bg_styles .= '-o-background-size: '. $bonza_coming_soon_bg_cover .';';
		$bonza_coming_soon_bg_styles .= '-ms-background-size: '. $bonza_coming_soon_bg_cover .';';
	}
}

if( isset( $bonza_coming_soon_bg_color ) && $bonza_coming_soon_bg_color != '' ) {
	$bonza_coming_soon_bg_styles .= 'background-color: '. $bonza_coming_soon_bg_color .';';
}

if( $bonza_coming_soon_bg_styles ) {
	echo '
		<style>
			.coming_soon_wrapper { ' . $bonza_coming_soon_bg_styles . ' }
		</style>
	';
}
?>
		
		<div class="coming_soon_wrapper text-center">
			<div class="container">
				<div class="text-center">
					<h4><?php echo esc_html( $bonza_coming_soon_subtitle ); ?></h4>
				</div>
				<h1><?php echo esc_html( $bonza_coming_soon_title ); ?></h1>
				<h6><?php echo esc_html( $bonza_coming_soon_descr ) . ' <a href="mailto:' . esc_html( $bonza_coming_soon_email ) . '">' . esc_html( $bonza_coming_soon_email ) . '</a>'; ?></h6>
				
				<!-- COUNTDOWN -->
				<ul class="countdown">
					<li>
						<span class="days">00</span>
						<p class="days_ref"><?php echo esc_attr__('days', 'bonza'); ?></p>
					</li>
					<li>
						<span class="hours">00</span>
						<p class="hours_ref"><?php echo esc_attr__('hours', 'bonza'); ?></p>
					</li>
					<li>
						<span class="minutes">00</span>
						<p class="minutes_ref"><?php echo esc_attr__('minutes', 'bonza'); ?></p>
					</li>
					<li>
						<span class="seconds">00</span>
						<p class="seconds_ref"><?php echo esc_attr__('seconds', 'bonza'); ?></p>
					</li>
				</ul><!-- //COUNTDOWN -->
			</div>
		</div>

<?php get_footer('comingsoon'); ?>