<?php
/**
 * The template for displaying all single posts and attachments
 */

get_header();

global $post;

$bonza_pf = get_post_format();
if (empty( $bonza_pf )) $bonza_pf = 'image';

$bonza_blogsingle_layout = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('blogsingle_layout') : 'right-sidebar';

if( $bonza_blogsingle_layout == 'left-sidebar' ) {
	$bonza_sidebar_class = 'pull-left ';
	$bonza_blogsingle_wrap_class = 'left_sidebar ';
	$bonza_blogsingle_class = 'col-lg-8 col-md-9 col-sm-12 pull-right';
} elseif( $bonza_blogsingle_layout == 'right-sidebar' ) {
	$bonza_sidebar_class = 'pull-right';
	$bonza_blogsingle_wrap_class = 'right_sidebar ';
	$bonza_blogsingle_class = 'col-lg-8 col-md-9 col-sm-12 pull-left ';
} else {
	$bonza_sidebar_class = $bonza_blogsingle_class = '';
	$bonza_blogsingle_wrap_class = 'no_sidebar ';
}

$bonza_post_single_style = get_post_meta( $post->ID, 'bonza_post_single_style', true );
$bonza_single_post_author = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('single_post_author') : 1;
$bonza_single_post_navigation = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('single_post_navigation') : 1;
$bonza_single_post_related_posts = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('single_post_related_posts') : 1;
$bonza_blog_element_author = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('blog_element_author') : '1';
?>
		
	<div class="container">
		
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div id="blog-single-wrap" class="<?php echo 'format-' . esc_html( $bonza_pf ) . ' ' . esc_html( $bonza_blogsingle_wrap_class ) . ' ' . esc_html( $bonza_post_single_style ); ?> clearfix">
				
				<?php if( $bonza_post_single_style == 'fullscreen' ) { ?>
					
					<?php if( $bonza_blogsingle_layout != 'no-sidebar' ) { ?>
						<div class="row">
							<div class="<?php echo esc_html( $bonza_blogsingle_class ); ?>">
						<?php } ?>
								
								<?php if( $bonza_pf != 'image' && $bonza_pf != 'standard' ) { ?>
									<div class="post_format_content text-center">
										<?php get_template_part( 'templates/blog/post-format/post', $bonza_pf ); ?>
									</div>
								<?php } ?>

								<div class="single-post-content clearfix">
									
									<?php
										the_content(esc_html__('Read more!', 'bonza'));
										wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'bonza') . ': ', 'after' => '</div>'));
									?>
									
								</div>
								
								<div class="posts_nav_link"><?php posts_nav_link(); ?></div>
								
								<div class="single_post_meta_tags">
									<?php if( has_tag() ) {
										the_tags('','', '');
									} ?>
								</div>
							
						<?php if( $bonza_blogsingle_layout != 'no-sidebar' ) { ?>
							</div>
							
							<div class="col-lg-4 col-md-3 col-sm-12 <?php echo esc_html( $bonza_sidebar_class ); ?>">
								<?php get_sidebar(); ?>
							</div>
						</div>
					<?php } ?>
					
					<?php if( $bonza_single_post_author != 0 ) {
						get_template_part( 'templates/blog/authorinfo' );
					} ?>
					
					<?php if( $bonza_single_post_navigation != 0 ) { ?>
						<div class="single_post_nav clearfix">
							<?php
								$bonza_prev_post = get_adjacent_post(false, '', true);
								$bonza_next_post = get_adjacent_post(false, '', false);

								if($bonza_prev_post){
									$bonza_post_url = get_permalink($bonza_prev_post->ID);            
									echo '<div class="pull-left"><a href="' . esc_url( $bonza_post_url ) . '" title="' . $bonza_prev_post->post_title . '"><p><svg height="18px" version="1.1" viewBox="0 0 32 32" width="18px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M31.106,15H3.278l8.325-8.293  c0.391-0.391,0.391-1.024,0-1.414c-0.391-0.391-1.024-0.391-1.414,0l-9.9,9.899c-0.385,0.385-0.385,1.029,0,1.414l9.9,9.9  c0.391,0.391,1.024,0.391,1.414,0c0.391-0.391,0.391-1.024,0-1.414L3.278,17h27.828c0.552,0,1-0.448,1-1  C32.106,15.448,31.658,15,31.106,15z"/></svg>' . esc_html__('Previous','bonza') . '</p><span class="heading_font_family">' . $bonza_prev_post->post_title . '</span></a></div>';
								}

								if($bonza_next_post) {
									$bonza_post_url = get_permalink($bonza_next_post->ID);            
									echo '<div class="pull-right text-right"><a href="' . esc_url( $bonza_post_url ) . '" title="' . $bonza_next_post->post_title . '"><p>' . esc_html__('Next','bonza') . '<svg version="1.1" viewBox="0 0 32 32" width="18px" height:18px; xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M32,16.009c0-0.267-0.11-0.522-0.293-0.714  l-9.899-9.999c-0.391-0.395-1.024-0.394-1.414,0c-0.391,0.394-0.391,1.034,0,1.428l8.193,8.275H1c-0.552,0-1,0.452-1,1.01  s0.448,1.01,1,1.01h27.586l-8.192,8.275c-0.391,0.394-0.39,1.034,0,1.428c0.391,0.394,1.024,0.394,1.414,0l9.899-9.999  C31.894,16.534,31.997,16.274,32,16.009z"/></svg></p><span class="heading_font_family">' . $bonza_next_post->post_title . '</span></a></div>';
								} 
							?>
						</div>
					<?php } ?>
				
					<?php if( $bonza_single_post_related_posts != 0 ) {
						get_template_part('templates/blog/related-posts');
					} ?>
					
					<?php 
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>
					
				<?php } else { ?>
				
					<?php if( $bonza_blogsingle_layout != 'no-sidebar' ) { ?>
						<div class="row">
							<div class="<?php echo esc_html( $bonza_blogsingle_class ); ?>">
						<?php } ?>
							
								<div class="single_post_header">
									<h1 class="single-post-title"><?php the_title(); ?></h1>
									<div class="clearfix">
										<div class="post-meta pull-left">
											<?php if( $bonza_blog_element_author != 0 ) { ?>
												<span class="post-meta-author"><?php echo esc_attr__('by','bonza'); ?><a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php echo get_the_author_meta('display_name'); ?></a></span>
											<?php } ?>
											<span class="post_meta_category"><?php echo esc_attr__('in','bonza'); ?><?php the_category(', '); ?></span>
											<span class="post-meta-date"><?php echo esc_attr__('posted on','bonza'); ?><i><?php the_date( get_option( 'date_format' ) ); ?></i></span>
										</div>
										<div class="pull-right">
											<span class="post-meta-comments"><i class="icon Evatheme-Icon-Fonts-thin-0274_chat_message_comment_bubble"></i><?php echo get_comments_number('0', '1', '%'); ?></span>
										</div>
									</div>
								</div>
								
								<div class="post_format_content text-center">
									<?php get_template_part( 'templates/blog/post-format/post', $bonza_pf ); ?>
								</div>

								<div class="single-post-content clearfix">
									
									<?php
										the_content(esc_html__('Read more!', 'bonza'));
										wp_link_pages(array('before' => '<div class="page-link mb20">' . esc_html__('Pages', 'bonza') . ': ', 'after' => '</div>'));
									?>
									
								</div>
								
								<div class="posts_nav_link"><?php posts_nav_link(); ?></div>
								
								<div class="single_post_meta_tags">
									<?php if( has_tag() ) {
										the_tags('','', '');
									} ?>
								</div>
								
								<?php if( $bonza_single_post_author != 0 ) {
									get_template_part( 'templates/blog/authorinfo' );
								} ?>
								
								<?php if( $bonza_single_post_navigation != 0 ) { ?>
									<div class="single_post_nav clearfix">
										<?php
											$bonza_prev_post = get_adjacent_post(false, '', true);
											$bonza_next_post = get_adjacent_post(false, '', false);

											if($bonza_prev_post){
												$bonza_post_url = get_permalink($bonza_prev_post->ID);            
												echo '<div class="pull-left"><a href="' . esc_url( $bonza_post_url ) . '" title="' . $bonza_prev_post->post_title . '"><p><svg height="18px" version="1.1" viewBox="0 0 32 32" width="18px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M31.106,15H3.278l8.325-8.293  c0.391-0.391,0.391-1.024,0-1.414c-0.391-0.391-1.024-0.391-1.414,0l-9.9,9.899c-0.385,0.385-0.385,1.029,0,1.414l9.9,9.9  c0.391,0.391,1.024,0.391,1.414,0c0.391-0.391,0.391-1.024,0-1.414L3.278,17h27.828c0.552,0,1-0.448,1-1  C32.106,15.448,31.658,15,31.106,15z"/></svg>' . esc_html__('Previous','bonza') . '</p><span class="heading_font_family">' . $bonza_prev_post->post_title . '</span></a></div>';
											}

											if($bonza_next_post) {
												$bonza_post_url = get_permalink($bonza_next_post->ID);            
												echo '<div class="pull-right text-right"><a href="' . esc_url( $bonza_post_url ) . '" title="' . $bonza_next_post->post_title . '"><p>' . esc_html__('Next','bonza') . '<svg version="1.1" viewBox="0 0 32 32" width="18px" height:18px; xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path d="M32,16.009c0-0.267-0.11-0.522-0.293-0.714  l-9.899-9.999c-0.391-0.395-1.024-0.394-1.414,0c-0.391,0.394-0.391,1.034,0,1.428l8.193,8.275H1c-0.552,0-1,0.452-1,1.01  s0.448,1.01,1,1.01h27.586l-8.192,8.275c-0.391,0.394-0.39,1.034,0,1.428c0.391,0.394,1.024,0.394,1.414,0l9.899-9.999  C31.894,16.534,31.997,16.274,32,16.009z"/></svg></p><span class="heading_font_family">' . $bonza_next_post->post_title . '</span></a></div>';
											} 
										?>
									</div>
								<?php } ?>
							
								<?php if( $bonza_single_post_related_posts != 0 ) {
									get_template_part('templates/blog/related-posts');
								} ?>
								
								<?php 
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
						
						<?php if( $bonza_blogsingle_layout != 'no-sidebar' ) { ?>
							</div>
							
							<div class="col-lg-4 col-md-3 col-sm-12 <?php echo esc_html( $bonza_sidebar_class ); ?>">
								<?php get_sidebar(); ?>
							</div>
						</div>
					<?php } ?>
				<?php } ?>
			</div>
		<?php endwhile; endif; ?>
		
	</div>

<?php get_footer(); ?>
