<?php

global $post;

$bonza_header_class = $bonza_header_wrap_class = '';

$bonza_header_layout = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('header-layout') : 'full_width';
if ( !is_404() && !is_search() ) {
	$bonza_header_layout = (get_post_meta( $post->ID, 'bonza_header_layout', true ) ? get_post_meta( $post->ID, 'bonza_header_layout', true ) : $bonza_header_layout);
}
$bonza_header_class .= $bonza_header_layout . ' ';
$bonza_tagline_area = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('tagline_area') : '0';
if ($bonza_tagline_area == 1) {
	$bonza_header_class .= 'has_tagline_area ';
}

/* Header Sticky style */
$bonza_header_sticky = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('header_sticky') : 'headroom';
$bonza_header_wrap_class .= $bonza_header_sticky .' ';

$header_search = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('header_search') : 0;

$shop_icon = 0;
if( class_exists('WooCommerce') && ( class_exists( 'ReduxFrameworkPlugin' ) && bonza_options('shop_icon') != '0' ) ) {
	$shop_icon = 1;
}
?>
		
		<header class="header-top <?php echo esc_html( $bonza_header_class ); ?> clearfix">
			<?php if ($bonza_tagline_area == 1) { ?>
				<div class="header_tagline">
					<div class="container">
						<div class="pull-left tagline_text_wrap">
							<?php if( !empty( bonza_options('tagline_area_phone') ) ) { ?>
								<a href="tel:<?php echo bonza_options('tagline_area_phone'); ?>"><i class="icon Evatheme-Icon-Fonts-thin-0294_phone_call_ringing"></i><?php echo bonza_options('tagline_area_phone'); ?></a>
							<?php } ?>
							<?php if( !empty( bonza_options('tagline_area_phone') ) && ( bonza_options('tagline_area_email') ) ) { ?>
								<span class="theme_color">/</span>
							<?php } ?>
							<?php if( !empty( bonza_options('tagline_area_email') ) ) { ?>
								<a href="mailto:<?php echo bonza_options('tagline_area_email'); ?>"><i class="icon Evatheme-Icon-Fonts-thin-0319_email_mail_post_card"></i><?php echo bonza_options('tagline_area_email'); ?></a>
							<?php } ?>
						</div>
						<?php if ( class_exists( 'ReduxFrameworkPlugin' ) && bonza_options('header_social_links') == 1 ) { ?>
							<div class="social_links_wrap text-right pull-right">
								<?php echo bonza_social_links(); ?>
							</div>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
			<div class="header_wrap <?php echo esc_html( $bonza_header_wrap_class ); ?>">
				<div class="container">
					<?php bonza_logo(); ?>
					<div class="right_part_menu clearfix">
						<?php if ( $header_search != '0' ) { ?>
							<a class="header_search_icon pull-right" href="javascript:void(0)">
								<i class="fa fa-search"></i>
							</a>
						<?php } ?>
						<?php if( $shop_icon != 0 ) {
							bonza_woo_nav_cart();
						} ?>
						<div class="menu-primary-menu-container-wrap pull-right">
							<?php wp_nav_menu( array( 'menu_class' => 'nav-menu clearfix', 'theme_location' => 'primary', 'depth' => 3, 'container' => false, 'fallback_cb' => 'bonzaMegaMenuFrontendWalker::fallback', 'walker' => new bonzaMegaMenuFrontendWalker() ) ); ?>
						</div>
					</div>
				</div>
			</div>
			<div class="header_bg"></div>
		</header>