<?php
/**
 * Page Title
 */

	global $post, $wp_query;
	
	$bonza_postId = ( isset( $post->ID ) ? get_the_ID() : NULL );
	
	$bonza_pagetitle_class = ' text-center';
	
	/* If Single Post Fullscreen */
	$bonza_post_single_style = get_post_meta( $bonza_postId, 'bonza_post_single_style', true );
	if ( is_singular('post') && $bonza_post_single_style == 'fullscreen' ) {
		$bonza_pagetitle_class .= ' pagetitle_fullscreen';
	}
	
	$bonza_options_pagetitle = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('pagetitle') : 'show';
	$bonza_pagetitle = ( get_post_meta( $bonza_postId, 'bonza_pagetitle', true ) ? get_post_meta( $post->ID, 'bonza_pagetitle', true ) : $bonza_options_pagetitle );
	if ( is_home() || is_search() || is_category() || is_tag() || is_day() || is_month() || is_year() ) {
		$bonza_pagetitle = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('blog_pagetitle') : 'show';
	} else if ( is_singular('post') ) {
		if ( $bonza_post_single_style != 'fullscreen' ) {
			$bonza_pagetitle = 'hide';
		} else {
			$bonza_pagetitle = 'show';
		}
	} else if ( is_singular('portfolio') ) {
		$bonza_pagetitle = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('portfolio_single_pagetitle') : 'hide';
	} else if( class_exists('WooCommerce') && ( is_shop() || is_product_category() || is_product_tag() || is_cart() || is_checkout() || is_account_page() ) ) {
		$bonza_pagetitle = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('shop_pagetitle') : 'show';
	} else if( class_exists('WooCommerce') && is_singular('product') ) {
		$bonza_pagetitle = 'hide';
	} else if ( is_404() ) {
		$bonza_pagetitle = 'hide';
	}
	
	
	$bonza_pagetitle_text			= get_post_meta( $bonza_postId, 'bonza_pagetitle_text', true );
	$bonza_blog_pagetitle_text		= class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('blog_pagetitle_text') : get_the_title( get_option('page_for_posts', true) );
	$bonza_pagetitle_subtext		= get_post_meta( $bonza_postId, 'bonza_pagetitle_subtext', true );
	$bonza_blog_pagetitle_subtext	= class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('blog_pagetitle_subtext') : '';


	if ( $bonza_pagetitle_subtext != '' ) {
		$bonza_pagetitle_subtext = $bonza_pagetitle_subtext;
	} else if ( ( class_exists( 'ReduxFrameworkPlugin' ) && bonza_options('blog_pagetitle_subtext') != '' ) && ( is_home() ) ) {
		$bonza_pagetitle_subtext = $bonza_blog_pagetitle_subtext;
	} elseif ( is_search() ) {
		$bonza_pagetitle_subtext = '';
	}
	
	if ( $bonza_pagetitle_text != '' ) {
		$bonza_pagetitle_text = $bonza_pagetitle_text;
	} else if ( is_home() ) {
		$bonza_pagetitle_text = 'Front Page';
	} else if ( is_front_page() ) {
		$bonza_pagetitle_text = get_the_title();
	} else if ( is_singular('portfolio') ) {
		if( class_exists( 'ReduxFrameworkPlugin' ) && bonza_options('portfolio_single_pagetitle') != 'hide' ) {
			$bonza_pagetitle_text = get_the_title();
		}
	} else if( class_exists('WooCommerce') && is_shop() ) {
		if( class_exists( 'ReduxFrameworkPlugin' ) && bonza_options('shop_pagetitle_subtext') != '' ){
			$bonza_pagetitle_subtext = bonza_options('shop_pagetitle_subtext');
		}
		if( class_exists( 'ReduxFrameworkPlugin' ) && bonza_options('shop_pagetitle_text') != '' ){
			$bonza_pagetitle_text  = bonza_options('shop_pagetitle_text');
		}
	} else if (is_category()) {
		$bonza_pagetitle_text = esc_html__( 'Category Archive for :', 'bonza' ) . ' &#8216;' . single_cat_title( '', false ) . '&#8217;';
	} else if( is_tag() ) {
		$tag_id = get_queried_object_id();
		$tag = get_tag($tag_id);
		$bonza_pagetitle_text = esc_html__( 'Posts Tagged', 'bonza' ) . ' &#8216;' . $tag->name . '&#8217;';
	} else if( is_search() ) {
		$bonza_pagetitle_text = $wp_query->found_posts . ' ' . esc_html__( 'search results for', 'bonza' ) . ': \'' . esc_html( get_search_query() ) . '\'';
	} else if ( is_day() || is_month() || is_year() ) {
		$bonza_pagetitle_text = esc_html__( 'Archive for', 'bonza' ) . ' ' . get_the_time( get_option( 'date_format' ) );
	} else if ( is_author() ) {
		$bonza_pagetitle_text = esc_html__( 'Author Archive', 'bonza' );
	} else if ( is_404() ) {
		$bonza_pagetitle_text = '';
		$bonza_pagetitle_subtext = '';
	} else if (isset($_GET['paged']) && !empty($_GET['paged'])) {
		$bonza_pagetitle_text = esc_html__( 'Blog Archives', 'bonza' );
	} else {
		$bonza_pagetitle_text = get_the_title();
	}
	
	/* Parallax Effect */
	$bonza_pagetitle_bg_image_parallax = $bonza_pagetitle_bg_image_parallax_theme = $bonza_pagetitle_bg_image_parallax_page = '';
	$bonza_pagetitle_bg_image_parallax_theme = get_post_meta( $bonza_postId, 'bonza_pagetitle_bg_image_parallax', true );
	if( class_exists( 'ReduxFrameworkPlugin' ) ){
		$bonza_pagetitle_bg_image_parallax_page 	= bonza_options('pagetitle_bg_image_parallax');
	}
	$bonza_pagetitle_bg_image_parallax = ! empty( $bonza_pagetitle_bg_image_parallax_theme ) ? $bonza_pagetitle_bg_image_parallax_theme : $bonza_pagetitle_bg_image_parallax_page;
	if ( $bonza_pagetitle_bg_image_parallax == 'enable' ) {
		wp_enqueue_script('bonza-parallax', get_template_directory_uri() . '/assets/js/custom-parallax.js', array(), '', true);
		$bonza_pagetitle_class .= ' bonza_parallax';
	}
	
	/* Breadcrumbs */
	$bonza_options_breadcrumbs = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('breadcrumbs') : 'hide';
	$bonza_breadcrumbs = get_post_meta( $bonza_postId, 'bonza_breadcrumbs', true ) ? get_post_meta( $post->ID, 'bonza_breadcrumbs', true ) : $bonza_options_breadcrumbs;

	if ( is_singular('post') ) {
		$bonza_breadcrumbs = 'hide';
	} else if ( is_singular('portfolio') ) {
		$bonza_breadcrumbs = class_exists( 'ReduxFrameworkPlugin' ) ? bonza_options('portfolio_single_breadcrumbs') : 'show';
	} elseif( is_search() || is_404() ) {
		$bonza_breadcrumbs = 'hide';
	}
	
?>
		
		<?php if ( $bonza_pagetitle == 'show' && !is_author() ) { ?>
			<div id="pagetitle" class="<?php echo esc_attr( $bonza_pagetitle_class ); ?>">
				<div class="container">
					
					<?php if ( is_singular('post') && $bonza_post_single_style == 'fullscreen' ) { ?>
						
						<div class="single_post_header">
							<h2 class="single-post-title"><?php the_title(); ?></h2>
							<div class="post-meta">
								<span class="post-meta-author"><?php echo esc_html__('by','bonza'); ?><i><?php echo the_author_meta( 'display_name' , $post->post_author ); ?></i></span>
								<span class="post_meta_category"><?php echo esc_html__('in','bonza'); ?><?php the_category(', '); ?></span>
								<span class="post-meta-date"><?php echo esc_html__('posted on','bonza'); ?><i><?php the_time( get_option( 'date_format' ) ); ?></i></span>
								<span class="post-meta-comments"><?php echo bonza_comment_count(); ?></span>
							</div>
						</div>
						
					<?php } else {
						
						if ( !empty( $bonza_pagetitle_subtext ) ) {
							echo '<p>' . esc_html( $bonza_pagetitle_subtext ) . '</p>';
						}
						if ( !empty( $bonza_pagetitle_text ) ) {
							echo '<h2>' . esc_html( $bonza_pagetitle_text ) . '</h2>';
						}
						
						if ( $bonza_breadcrumbs == 'show' ) {
							echo '<div id="breadcrumbs">';
									bonza_breadcrumbs();
							echo '</div>';
						}
						
					} ?>
				</div>
			</div>
		<?php } elseif ( is_author() ) { 

			$bonza_user_post_count = count_user_posts( get_the_author_meta( 'ID' ), $post_type = 'post' );
			?>
			
			<div id="pagetitle" class="author_posts_info">
				<div class="container text-center">
					<div class="author_posts_avatar"><?php echo get_avatar( get_the_author_meta('user_email'), '120', '' ); ?></div>
					<div class="author_posts_descr">
						<div class="author_posts_count"><?php echo esc_html( $bonza_user_post_count ) . esc_html__( ' articles', 'bonza' ) ?></div>
						<h5 class="author_posts_name"><?php the_author(); ?></h5>
					</div>
				</div>
			</div>

		<?php } ?>